> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cnaught.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subaccount By Id

> Returns information about a subaccount



## OpenAPI

````yaml /api-reference/openapi.yaml get /subaccounts/{id}
openapi: 3.1.0
info:
  title: CNaught Carbon Credits API Documentation
  contact:
    email: support@cnaught.com
    name: CNaught
    url: https://cnaught.com/
  version: v1
  description: |
    Carbon Credits API Documentation
  termsOfService: https://cnaught.com/terms
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.cnaught.com/v1
    description: CNaught API
security:
  - ApiKey: []
tags:
  - name: Orders
    description: Endpoints for placing orders and retrieving information about orders
  - name: Quotes
    description: Endpoints for obtaining price quotes for orders
  - name: Climate Impact
    description: >-
      Endpoints for retrieving climate impact data and hosted public impact page
      configuration
  - name: Subaccounts
    description: Endpoints for creating and retrieving information about subaccounts
paths:
  /subaccounts/{id}:
    parameters:
      - name: id
        in: path
        description: ID of subaccount to return / modify
        required: true
        schema:
          type: string
          examples:
            - 5nubL0NS
    get:
      tags:
        - Subaccounts
      summary: Get Subaccount By Id
      description: Returns information about a subaccount
      operationId: GetSubaccountById
      responses:
        '200':
          description: Subaccount Details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Subaccount'
              examples:
                Example:
                  value:
                    id: 5nubL0NS
                    name: Marketing Department
                    email: jane.doe@example.com
                    default_portfolio_id: mHvNvWbq
                    logo_url: >-
                      https://customer-assets.cnaught.com/fe0df075-30e2-4e58-9feb-154e72a9205f/subaccount_logo.png
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/SubaccountNotFound'
components:
  schemas:
    Subaccount:
      type: object
      properties:
        id:
          type: string
          description: Identifier that can be used to retrieve the subaccount details
          examples:
            - 5nubL0NS
        created_on:
          type: string
          description: Timestamp of when the subaccount was created (in UTC)
        name:
          type: string
          description: Name of the subaccount
          maxLength: 512
        email:
          type:
            - string
            - 'null'
          description: Optional email associated with the subaccount.
          examples:
            - jane.doe@example.com
        default_portfolio_id:
          type:
            - string
            - 'null'
          description: >
            Optional ID of the default portfolio used to fulfilling orders
            placed for this subaccount. If not specified,

            the parent account's default portfolio is the default portfolio for
            the subaccount.
          examples:
            - a23bF6
        logo_url:
          type:
            - string
            - 'null'
          description: >
            Optional URL for the logo used for this subaccount, if any. This URL
            is for the logo as stored on CNaught's hosting.
    BaseProblemDetails:
      type: object
      description: Problem details object returned on errors
      properties:
        title:
          type: string
          description: Short, human-readable summary of the problem
        details:
          type: string
          description: Longer, human-readable description of the problem
        type:
          type: string
          description: URI that identifies the problem type
        status:
          type: integer
          description: HTTP status code of the error
  responses:
    Unauthorized:
      description: Request Unauthorized
      content:
        application/problem+json:
          schema:
            properties:
              title:
                type: string
                description: Short, human-readable summary of the problem type
              status:
                type: integer
                description: HTTP status code of the error
          example:
            title: Authorization has been denied for this request
            status: 401
    SubaccountNotFound:
      description: Subaccount Not Found
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/BaseProblemDetails'
          example:
            type: https://api.cnaught.com/v1/errors/not-found
            title: Could not find subaccount
            status: 404
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer

````